import _Object$entries from 'babel-runtime/core-js/object/entries';
var isFieldProp = function isFieldProp(propName) {
  return propName === 'component' || propName === 'value' || propName === 'onInit' || propName === 'onUpdate' || propName === 'onFocus' || propName === 'onBlur' || propName === 'onChange' || propName === 'onRemove' || propName === 'onValid' || propName === 'onAsyncValid' || propName === 'validatorsOptions' || propName === 'validators' || propName === 'asyncValidator' || propName === 'asyncValidatorOptions' || propName === 'asyncValidateOn' || propName === 'errors';
};

export var getElementProps = function getElementProps(props) {
  var elementProps = {};
  _Object$entries(props).forEach(function (_ref) {
    var propName = _ref[0],
        propValue = _ref[1];

    if (!isFieldProp(propName)) {
      elementProps[propName] = propValue;
    }
  });

  return elementProps;
};