'use strict';

exports.__esModule = true;
exports.FieldProps = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FieldProps = exports.FieldProps = {
  name: _react2.default.PropTypes.string.isRequired,
  value: _react2.default.PropTypes.any,
  options: _react2.default.PropTypes.any,
  component: _react2.default.PropTypes.func,
  onFocus: _react2.default.PropTypes.func,
  onChange: _react2.default.PropTypes.func,
  onBlur: _react2.default.PropTypes.func,
  validators: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.shape({
    isValid: _react2.default.PropTypes.func.isRequired,
    error: _react2.default.PropTypes.func.isRequired
  })),
  validatorsOptions: _react2.default.PropTypes.shape({
    multi: _react2.default.PropTypes.bool
  }),
  asyncValidator: _react2.default.PropTypes.func,
  asyncValidatorOptions: _react2.default.PropTypes.shape({
    validateOn: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.string),
    validateAfterLocal: _react2.default.PropTypes.bool
  })
};
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FieldProps, 'FieldProps', 'E:/Projects/React/git/vb-react-form/src/field-props.js');
}();

;